<!doctype html public "-//w3c//dtd html 4.01 transitional//en">
<html>
<head>
	<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
	<meta http-equiv='Content-Script-Type' content='text/javascript'>
	<meta http-equiv='Content-Style-Type' content='text/css'>
	<title>須恵歴史民俗資料館収蔵品検索</title>
</head>
<body bgcolor="C0C0C0" >
<CENTER><H1>須恵歴史民俗資料館収蔵品検索</H1></CENTER>
<HR>

<?PHP
/////////////////////////////////////////////////////////////
//	DispList.php
/////////////////////////////////////////////////////////////
//
//	収蔵品検索ツール
//
//  説明：リスト表示
//  作成者：Takao Yoshimitsu
//  作成日：20031230
//  更新日：20070501 サムネール画像にもアンカーを付ける
//  更新日：20070501 分類番号2削除
//  更新日：20070728 エラー取り、番号の若い写真を表示する
//  更新日：20090503 収蔵品写真のディレクトリーを分ける。写真が無いデータの処理追加
//  更新日：20160524 データアクセスをPDOに変更
//  REVISIONS: 0.9
//
//	(C) COPYRIGHT 2004-2016 Sue Museum & Museum Project
//////////////////////////////////////////////////////////////

include("common/common.php");

function	disponecol($data) {
	if ($data == '') {
		printf("<TD align=left>&nbsp;</TD>\n");
	}
	else {
		printf("<TD align=left>%s</TD>\n",$data);
	}

}

//////////////////////////////////////////////////////////////
// 説明：収蔵品写真ファイル検索（写真は１枚のみ）
// 機能説明：収蔵品番号から写真ファイル名を取り出す
// 引数：
//string $photo_srt		(I)収蔵品番号
// $pathに注意
//////////////////////////////////////////////////////////////
function sch_photo_thumb($photo_srt) {
	global $debugflag;

	$photo_no = (int)substr ($photo_srt, 0, 6);	// 文字列7桁から先頭6桁（数字のみ）取り出す
	if ($debugflag) {
		print "<font color=red> photo_no=$photo_no</font><BR>";	// テスト
	}

	if ($photo_no) {
		$path    = sprintf("../photo/%06d/", (int)($photo_no / 100) * 100);	// 000000/ ～
		$pattern = "^".substr ($photo_srt, 0, 7).".*\.[Jj][Pp][Gg]";	// 写真番号

		$photo = 0;
		if ($debugflag) {
			print "<font color=red> path=$path</font><BR>";	// テスト
			print "<font color=red> pattern=$pattern</font><BR>";	// テスト
		}
		if (($dp = opendir($path)) !== FALSE) {
			while (($ent = readdir($dp)) !== FALSE) {
				if (ereg($pattern, $ent)) {
					$photo_tbl[$photo++] = $path.$ent;
				}
			}
			closedir($dp);
		}

		if ($photo) {										// 先頭の１枚を表示する
			sort($photo_tbl);
			printf (" <IMG src=\"".$photo_tbl[0]."\" width=60>");
		}
		else {
			printf ("画像なし");
		}
	}
}

////////////////////////////////////////////////////////////////////
//
//
	if ((isset($_POST['page'])) && (isset($_POST['page']) != '') ) {	// 表示頁
		$page		= intval($_POST['page']);
	}
	else {
		$page		= 1;
	}

	if (isset($_POST['hyoujunmei'])) {								// 標準名
		$hyoujunmei	= $_POST['hyoujunmei'];
	}
	else {
		$hyoujunmei	= "";
	}

	if (isset($_POST['bunnya'])) {									// 分野１
		$bunnya1	= $_POST['bunnya'];
	}
	else {
		$bunnya1	= "" ;
	}

	if(isset($_POST['grouping'])) {									// グルーピング
		$grouping		= $_POST['grouping'];
	}
	else {
		$grouping		= "";
	}
	if(isset($_POST['schtype'])) {									// 検索種別
		$schType		= $_POST['schtype'];
	}
	else {
		$schType		= "";
	}

	$table = sch_db($schType, 
			$hyoujunmei,
			$bunnya1,
			$grouping, 
			$page, $nRec_count);
	if ($table == FALSE) {
		print $dbErrorMessage."<BR>";

		$disp_rowmax  = 0;                   	// 有効行数
		$disp_pagemax = 0;						// 最大頁数
	}
	else
	{
	// 表示頁の行数を算出 */
		if ($debugflag) {
			print "<font color=red> 総件数:$nRec_count</font><BR>";	// debug
		}

		$ans = $nRec_count / $nDispListNo;		// nDispListNo(値:20)
		$rem = $nRec_count % $nDispListNo;
		if($rem == 0) {
			$disp_rowmax  = $nDispListNo;		// 有効行数
			$disp_pagemax = $ans;				// 最大頁数
		} else {
			$disp_rowmax  = $rem;				// 有効行数
			$disp_pagemax = (int)$ans+1;		// 最大頁数
		}
	}

?>

<script language="JavaScript">
<!--

function EditDetail(no) {
	document.listForm.syuuzou_no.value = no;
	document.listForm.target = '_self';
	document.listForm.action = 'DispPage.php';
	document.listForm.submit();
}

function PageControl(page) {
	document.listForm.page.value = page;
	document.listForm.target = '_self';
	document.listForm.action = 'DispList.php';
	document.listForm.submit();
}
 -->
</script>

<form name="listForm" method=post action="">
<?PHP
	printf("<input type=hidden name='page' value='%s'>", $page);					// 頁
	printf("<input type=hidden name='syuuzou_no' value='%s'>", $syuuzou_no);		// 収蔵番号
	printf("<input type=hidden name='hyoujunmei' value='%s'>", $hyoujunmei);		// 標準名
	printf("<input type=hidden name='bunnya' value='%s'>", $bunnya1);				// 分野
	printf("<input type=hidden name='grouping' value='%s'>", $grouping);			// グルーピング
	printf("<input type=hidden name='schtype' value='%s'>.",$schType) ;				// グループ検索
?>

<!-- リスト表示  -->
<br clear=all><br>
<table align=center border=1 width=600 >

<?PHP
	if ($schType == "category") {
		print ("<CAPTION align=top>分野：$bunnya1</CAPTION>\n");
	}
	else if ($schType == "keyword") {
		print ("<CAPTION align=top>キーワード：$hyoujunmei</CAPTION>\n");
	}
	else if ($schType == "group") {
		print ("<CAPTION align=top>グループ：$grouping</CAPTION>\n");
	}
	else {
		print ("<CAPTION align=top>不明：</CAPTION>\n");
	}
?>

	<tr>
		<th align=center width=80 nowrap>収蔵番号</th>
		<th align=center width=80 nowrap>資料名</th>
		<th align=center width=120 nowrap>収蔵品の特徴</th>
	</tr>

<?PHP
	$i = 0;
	while (isset($table[$i])) {

		$tmp_syuuzou_no = $table[$i]['syuuzou_no'];
		if ($debugflag) {
			print "<font color=red> table[syuuzou_no]=$tmp_syuuzou_no</font><BR>";	// テスト
		}

		printf("<TR>");
		printf("<td align=center>");
		printf("<a href='JavaScript:EditDetail(\"%s\");'>", $tmp_syuuzou_no);
		printf(sch_photo_thumb($tmp_syuuzou_no));
		printf("<BR></a>");
		printf("<a href='JavaScript:EditDetail(\"%s\");' style='text-decoration: underline'>%s</a>", $tmp_syuuzou_no, $tmp_syuuzou_no);
		printf("</TD>");

		// 資料名
		$dsp_hyoujunmei	= (isset($table[$i]['hyoujunmei'])) ? $table[$i]['hyoujunmei'] : '';
		$dsp_yakumei		= (isset($table[$i]['yakumei'])) ? $table[$i]['yakumei'] : '';
		$dsp_yomi1		= (isset($table[$i]['yomi1'])) ? $table[$i]['yomi1'] : '';
		$dsp_chihoumei	= (isset($table[$i]['chihoumei'])) ? $table[$i]['chihoumei'] : '';
		$disp ='';
		if ($dsp_hyoujunmei != '') {
			$disp = $disp.$dsp_hyoujunmei ;
			if ($dsp_yomi1 != '') {
				$disp = $disp.'('.$dsp_yomi1.')' ;
			}
		}
		else {
			if ($dsp_yomi1 != '') {
				$disp = $disp.$dsp_yomi1 ;
			}
		}
		if ($dsp_yakumei != '') {
			$disp = $disp.'<BR>'.$dsp_yakumei ;
			if ($dsp_chihoumei != '') {
				$disp = $disp.'・'.$dsp_chihoumei ;
			}
		}
		else if ($dsp_chihoumei != '') {
			$disp = $disp.'<BR>'.$dsp_chihoumei ;
		}
		disponecol($disp);

		$dsp_tokutyou	= (isset($table[$i]['tokutyou'])) ? $table[$i]['tokutyou'] : '';
		if (mb_strwidth($dsp_tokutyou) > 128) {
			disponecol(mb_strimwidth($dsp_tokutyou, 0, 125, '...',"UTF-8")) ;
		}
		else {
			disponecol($dsp_tokutyou);
		}

		printf("</TR>\n");
		$i++;
	}
	printf("</table>\n");

	// ページング
	if($disp_pagemax != 0) {        // 表示データが存在するとき
		printf("<br all=clear><br>\n");
		printf("<table>\n");
		printf("<tr>");
		printf("<td align=right width=100 nowrap>現在のリスト:</td>");
		printf("<td>");
		printf("%d-", ($page-1)*$nDispListNo+1);       // 開始行
		if($page == $disp_pagemax) {                   // 最大頁のとき
			printf("%d", $nRec_count);
        } else {
            printf("%d", $page*$nDispListNo);
        }
        printf("</td>");
        printf("</tr>\n");
        printf("<tr>");
        printf("<td align=right width=100 valign=top nowrap>ページ:</td>");
        printf("<td><pre>");
        for($i=1; $i <= $disp_pagemax; $i++) {
            if($page == $i) {
                printf("[%3d]", $i);
            }
            else {
                printf("<a href='JavaScript:PageControl(%d);'> %3d </a>,&nbsp;", $i, $i);
            }
			if(($i % 16) == 0) {
				print "<BR>";
			}
        }
        printf("</pre></td>");
        printf("</tr>\n");
		printf("</table>\n");
	}
	printf("<table>\n");
	printf("<tr>");

	if($disp_pagemax == 0) {        // 表示データが存在しないとき
	} else {						// 表示データが存在するとき
		printf("<td ><a href='#top'>このページの先頭に戻る</a>&nbsp;&nbsp;&nbsp;");
	}
	printf("</tr>\n");
	printf("</table>\n");

?>

</form>
</BODY>
</HTML>
