<!doctype html public "-//w3c//dtd html 4.01 transitional//en">
<html>
<head>
	<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
	<meta http-equiv='Content-Script-Type' content='text/javascript'>
	<meta http-equiv='Content-Style-Type' content='text/css'>
	<title>須恵町立歴史民俗資料館 収蔵品検索結果</title>
</head>

<?PHP
/////////////////////////////////////////////////////////////
//	DispPage.php
/////////////////////////////////////////////////////////////
//
//	収蔵品検索ツール
//
//  説明：１ページ表示
//  作成者：Takao Yoshimitsu
//  作成日：20031230
//  更新日：20070501 分類番号2削除
//  更新日：20070728 エラー取り、写真の表示順並び替え
//  更新日：20090503 収蔵品写真のディレクトリーを分ける。写真が無いデータの処理追加
//  更新日：20160524 データアクセスをPDOに変更
//  REVISIONS: 0.9
//
//	(C) COPYRIGHT 2004-2016 Sue Museum & Museum Project
//////////////////////////////////////////////////////////////

include("common/common.php");


/////////////////////////////////////////////////////////////
// １項目（１行）表示
/////////////////////////////////////////////////////////////
function	disponerow($title,$data) {
	global $tagcolor;

	printf ("<tr bgcolor=%s >\n",($tagcolor%2)?"B0B0B0":"A0A0A0");
	$tagcolor++;
	print "  <TH align=right height=12 width=45% valign=top>".$title."</TH>\n";
		if ($data == '') {
			print(" <TD align=left>&nbsp;</TD>\n");
		}
		else {
			printf(" <TD align=left valign=top>%s</TD>\n", $data);
		}
	print "</tr>\n";
}

/////////////////////////////////////////////////////////////
// １項目（複数行）表示
/////////////////////////////////////////////////////////////
function	disponerow_tx($title,$data) {
	global $tagcolor;

	printf ("<tr bgcolor=%s >\n",($tagcolor%2)?"B0B0B0":"A0A0A0");
	$tagcolor++;
	print "  <TH align=right height=48 width=45% valign=top>".$title."</TH>\n";
		if ($data == '') {
			print(" <TD align=left>&nbsp;</TD>\n");
		}
		else {
			printf(" <TD align=left valign=top>%s</TD>\n", $data);
		}
	print "</tr>\n";
}

//////////////////////////////////////////////////////////////
//	global $debugflag;

	$page				= intval($_POST['page']);		// 表示頁
	$hyoujunmei			= $_POST['hyoujunmei'];			// 標準名
	$bunnya1			= $_POST['bunnya'];				// 分野１
	$syuuzou_no			= $_POST['syuuzou_no'];			// 収蔵番号
	$grouping			= $_POST['grouping'];			// グループ
	$schType			= $_POST['schtype'];			// 

	if ($debugflag) {
		print "<font color=red>";						// テスト
		print "page			= $page <BR>";				// debug
		print "hyoujunmei	= $hyoujunmei <BR>";		// debug
		print "bunnya		= $bunnya1 <BR>";			// debug
		print "syuuzou_no	= $syuuzou_no <BR>";		// debug
		print "grouping		= $grouping <BR>";			// debug
		print $_POST['syuuzou_no']."<BR>";				// debug
		print "</font><BR>";							// テスト
	}

	$table = sch_db_syuuzou_no($syuuzou_no);
	if($table == FALSE) {
		$errmsg = "ユーザー情報取得エラー";
	}
?>

<body bgcolor="C0C0C0" >

<script language="JavaScript">
<!--
function ControlMenu() {
    document.regForm.target = '_self';
    document.regForm.action = 'DispList.php';
    document.regForm.submit();
}
// -->
</script>

<form name="regForm" method=post action="">

<?php
	print("<input type=hidden name=page value=$page>\n");      			// 表示頁
	print("<input type=hidden name=bunnya value=$bunnya1>\n");			// 分野
	print("<input type=hidden name=hyoujunmei value=$hyoujunmei>\n");	// 標準名
	print("<input type=hidden name=syuuzou_no value=$syuuzou_no>\n");	// 収蔵番号
	print("<input type=hidden name=grouping value=$grouping>\n");		// グループ
	print("<input type=hidden name=schtype value=$schType>\n");			// 
?>

<CENTER><H1>須恵町立歴史民俗資料館<BR>収蔵品検索結果</H1></CENTER><HR>

<!-- データ内容表示 -->
	<table align=left border=0 width=400>
<?php
	$tagcolor = 0;

	if (isset($table['syuuzou_no'])) {
		disponerow   ("収蔵番号：",	$table['syuuzou_no']);
	}
	if (isset($table['hyoujunmei'])) {
		disponerow   ("標準名：",	$table['hyoujunmei']);
	}
	if (isset($table['yomi1'])) {
		disponerow   ("読み：",		$table['yomi1']);
	}
	if ($domesflag == 1) {
		if (isset($table['yomi2'])) {
			disponerow   ("読み２：",	$table['yomi2']);
		}
	}
	if (isset($table['chihoumei'])) {
		disponerow   ("地方名：",	$table['chihoumei']);
	}
	if (isset($table['yakumei'])) {
		disponerow   ("訳名：",		$table['yakumei']);
	}
	if (isset($table['bunnya1'])) {
		disponerow   ("分野：",		$table['bunnya1']);
	}
	if ($domesflag == 1) {
		if (isset($table['bunnya2'])) {
			disponerow   ("分野2：",	$table['bunnya2']);
		}
	}
	if (isset($table['grouping'])) {
		disponerow   ("グループ：",	$table['grouping']);
	}
	if ($domesflag == 1) {
		if (isset($table['chiikiminzoku'])) {
			disponerow   ("地域民俗：",	$table['chiikiminzoku']);
		}
		if (isset($table['bunppuyurai'])) {
			disponerow   ("分布由来：",	$table['bunppuyurai']);
		}
	}
	if (isset($table['rekishiyurai'])) {
		disponerow_tx("歴史・由来：",	$table['rekishiyurai']);
	}
	if (isset($table['tokutyou'])) {
		disponerow_tx("収蔵品の特徴：",	$table['tokutyou']);
	}
	if (isset($table['shiyounendai'])) {
		disponerow   ("使用年代：",	$table['shiyounendai']);
	}
	if (isset($table['shiyouhou'])) {
		disponerow_tx("使用法：",	$table['shiyouhou']);
	}
	if (isset($table['bikou'])) {
		disponerow_tx("備考（その他）：",	$table['bikou']);
	}
	if (isset($table['meiki'])) {
		disponerow   ("銘記など：",		$table['meiki']);
	}
	if (isset($table['zairyou'])) {
		disponerow   ("材料：",		$table['zairyou']);
	}
	if (isset($table['sunpou'])) {
		disponerow   ("寸法：",		$table['sunpou']);
	}
	if (isset($table['sunpou_bikou'])) {
		disponerow_tx("大きさなどに関する備考：",	$table['sunpou_bikou']);
	}

	if ($domesflag == 1) {
		if (isset($table['old_syuuzou_no'])) {
			disponerow   ("（旧）収蔵番号：",	$table['old_syuuzou_no']);
		}
		if (isset($table['bunrui_no'])) {
			disponerow   ("(旧）分類番号：",	$table['bunrui_no']);
		}
		if (isset($table['old_hyoujunmei'])) {
			disponerow   ("（旧）標準名：",	$table['old_hyoujunmei']);
		}

		if (isset($table['syuuzou_jyoukyou'])) {
			disponerow   ("収蔵状況など：",	$table['syuuzou_jyoukyou']);
		}
		if (isset($table['syuuhuku'])) {
			disponerow   ("修復履歴など：",	$table['syuuhuku']);
		}
		if (isset($table['syuuzou_basyo'])) {
			disponerow   ("収蔵場所：",		$table['syuuzou_basyo']);
		}
		if (isset($table['tana'])) {
			disponerow   ("収納棚：",		$table['tana']);
		}
		if (isset($table['kashidashisaki'])) {
			disponerow   ("貸出先：",		$table['kashidashisaki']);
		}

		if (isset($table['seisakuti'])) {
			disponerow   ("製作地：",		$table['seisakuti']);
		}
		if (isset($table['seisakusya'])) {
			disponerow   ("製作者：",		$table['seisakusya']);
		}
		if (isset($table['seisakunengappi'])) {
			disponerow   ("製作年月：",		$table['seisakunengappi']);
		}
		if (isset($table['sakuseihou'])) {
			disponerow   ("製作法：",		$table['sakuseihou']);
		}

		if (isset($table['film_no'])) {
			disponerow   ("フィルム番号：",	$table['film_no']);
		}
		if (isset($table['photo_no'])) {
			disponerow   ("写真番号：",		$table['photo_no']);
		}

		if (isset($table['old_bikou'])) {
			disponerow   ("(旧）備考：",	$table['old_bikou']);
		}
		if (isset($table['saisyuutchi'])) {
			disponerow   ("採集地：",		$table['saisyuutchi']);
		}
		if (isset($table['saisyuunenngappi'])) {
			disponerow   ("採集年月日：",	$table['saisyuunenngappi']);
		}
		if (isset($table['saisyuusya'])) {
			disponerow   ("採集者：",		$table['saisyuusya']);
		}
		if (isset($table['saisyuukeika'])) {
			disponerow   ("採集経過：",		$table['saisyuukeika']);
		}
		if (isset($table['shiyouchi'])) {
			disponerow   ("使用地：",		$table['shiyouchi']);
		}
		if (isset($table['shiyousya'])) {
			disponerow   ("使用者：",		$table['shiyousya']);
		}
		if (isset($table['syuuzounengappi'])) {
			disponerow   ("収蔵年月日：",	$table['syuuzounengappi']);
		}
		if (isset($table['kisousya'])) {
			disponerow   ("寄贈者：",		$table['kisousya']);
		}
		if (isset($table['taiyosya'])) {
			disponerow   ("貸与者：",		$table['taiyosya']);
		}
		if (isset($table['kounyuumoto'])) {
			disponerow   ("購入元：",		$table['kounyuumoto']);
		}
		if (isset($table['kounyuukakaku'])) {
			disponerow   ("購入価格：",		$table['kounyuukakaku']);
		}
	}
?>

<!-- 画面制御リンク -->
		<tr>
		<TD align=left>
<?PHP
		printf("<a href='JavaScript:ControlMenu();' style='text-decoration: underline'>戻る</a>\n");
?>
		</TD>
		</tr>
	</table>


<!-- 写真表示 -->
<?PHP
	printf("<table align=center border=0 width=400>");

	$photo_no = (int)substr ($table['syuuzou_no'], 0, 6);	// 文字列7桁から先頭6桁（数字のみ）取り出す
	$photo_name = substr ($table['syuuzou_no'], 0, 7);
	if ($debugflag) {
		print "<font color=red> photo_no=$photo_no</font><BR>";	// テスト
	}
	$photo = 0;
	if ($photo_no) {
		$path    = sprintf("../photo/%06d/", (int)($photo_no / 100) * 100);	// 000000/ ～
		$pattern1 = "^".$photo_name."\.[Jj][Pp][Gg]";			// 単独写真番号
		$pattern2 = "^".$photo_name."-[1234]\.[Jj][Pp][Gg]";	// 複数写真番号
		if ($debugflag) {
			print "<font color=red> path=$path</font><BR>";	// テスト
			print "<font color=red> photo pattern1=$pattern1</font><BR>";	// テスト
			print "<font color=red> photo pattern2=$pattern2</font><BR>";	// テスト
		}

		if (($dp = opendir($path)) !== FALSE) {
			while (($ent = readdir($dp)) !== FALSE) {
				if (ereg($pattern1, $ent) === 1) {
					if ($debugflag) {
						print "<font color=red> ent=$ent</font><BR>";	// テスト
					}
					$photo_tbl[$photo++] = $path.$ent;
				}
				if (ereg($pattern2, $ent) === 1) {
					if ($debugflag) {
						print "<font color=red> ent=$ent</font><BR>";	// テスト
					}
					$photo_tbl[$photo++] = $path.$ent;
				}
			}
			closedir($dp);
		}
	}
	if ($photo) {
		sort($photo_tbl);
		for ($i = 0;$i < $photo;$i++) {
			print "<tr>";
			print ("<TD><IMG src=".$photo_tbl[$i]." ></TD>");
			print "</tr>";
		}
	}
	else {
		print "<tr>";
//		print "<TD><IMG src=\"image/kouji.gif\" width=400></TD>";
		print "<TD></TD>";
		print "</tr>";
	}

//集合写真表示
	$photo = 0;
	if ($debugflag) {
		$str1 = substr ($photo_name, 6, 1);
		print "<font color=red> str1=$str1</font><BR>";	// テスト
	}
	if ($photo_no && substr ($photo_name, 6, 1) != "0") {	// 最後の桁が"0"でないもの
		$pattern3 = "^".substr ($photo_name, 0, 6)."0\.[Jj][Pp][Gg]";			// 集合写真番号（単独）
		$pattern4 = "^".substr ($photo_name, 0, 6)."0-[1234]\.[Jj][Pp][Gg]";	// 集合写真番号（複数）
		if ($debugflag) {
			print "<font color=red> photo pattern3=$pattern3</font><BR>";	// テスト
			print "<font color=red> photo pattern4=$pattern4</font><BR>";	// テスト
		}

		if (($dp = opendir($path)) !== FALSE) {
			while (($ent = readdir($dp)) !== FALSE) {
				if (ereg($pattern3, $ent) === 1) {
					$photo_tbl[$photo++] = $path.$ent;
				}
				if (ereg($pattern4, $ent) === 1) {
					$photo_tbl[$photo++] = $path.$ent;
				}
			}
			closedir($dp);
		}
	}
	if ($photo) {
		sort($photo_tbl);
		for ($i = 0;$i < $photo;$i++) {
			print "<tr>";
			print ("<TD><IMG src=".$photo_tbl[$i]." ></TD>");
			print "</tr>";
		}
	}

	printf("</table>");

// 紙台帳表示
	if ($domesflag == 1) {
		$debugflag = 1;

		printf("<table align=center border=0 width=400>");

		$pdf_no = (int)$table['gensiryou_no'];
		if ($debugflag) {
			print "<font color=red> pdf_no=$pdf_no</font><BR>";	// テスト
		}
		$pdf = 0;
		if ($pdf_no) {
			$path    = "../PDF/";
			$filename = sprintf("%06d", (int)$pdf_no);
			$pattern1 = $filename.".[Pp][Dd][Ff]";				// 単独番号
			$pattern2 = $filename."-[0123456789].[Pp][Dd][Ff]";	// 複数番号
			if ($debugflag) {
				print "<font color=red> path=$path</font><BR>";	// テスト
				print "<font color=red> filename=$filename</font><BR>";	// テスト
				print "<font color=red> photo pattern1=$pattern1</font><BR>";	// テスト
				print "<font color=red> photo pattern2=$pattern2</font><BR>";	// テスト
			}

			if (($dp = opendir($path)) !== FALSE) {
				while (($ent = readdir($dp)) !== FALSE) {
					if (ereg($pattern1, $ent) === 1) {
						if ($debugflag) {
							print "<font color=red> ent=$ent</font><BR>";	// テスト
						}
						$pdf_tbl[$pdf++] = $path.$ent;
					}
					if (ereg($pattern2, $ent) === 1) {
						if ($debugflag) {
							print "<font color=red> ent=$ent</font><BR>";	// テスト
						}
						$pdf_tbl[$pdf++] = $path.$ent;
					}
				}
				closedir($dp);
			}
		}
		if ($pdf) {
			sort($pdf_tbl);
			for ($i = 0;$i < $pdf;$i++) {
				print "<tr>";
				print ("旧資料台帳：<a href=\"".$pdf_tbl[$i]."\" target=\"_blank\">".$pdf_tbl[$i]."</a>");
				print "</tr>";
			}
		}

		printf("</table>");
	}

?>


</form>
</body>
</html>
